HTDIGEST2(1)

NAME
htdigest2 - manage user files for digest authentication

SYNOPSIS

htdigest2 [ -c ] passwdfile realm username

SUMMARY

htdigest2 is used to create and update the flat-files used to store usernames, realm and password for digest authentication of HTTP users. Resources available from the Apache HTTP server can be restricted to just the users listed in the files created by htdigest2.

This manual page only lists the command line arguments. For details of the directives necessary to configure digest authentication in httpd see the Apache manual, which is part of the Apache distribution or can be found at http://httpd.apache.org/.

OPTIONS

-c  Create the passwdfile. If passwdfile already exists, it is deleted first.

passwdfile
    Name of the file to contain the username, realm and password. If -c is given, this file is created if it does not already exist, or deleted and recreated if it does exist.

realm
    The realm name to which the user name belongs. See http://tools.ietf.org/html/rfc2617#section-3.2.1 for more details.

username
    The user name to create or update in passwdfile. If username does not exist is this file, an entry is added. If it does exist, the password is changed.

SECURITY CONSIDERATIONS

This program is not safe as a setuid executable. Do not make it setuid.